//			X's and O's Version 1.0
//				by Chibi-Gohan0
//Feel free to edit. This guide basicly shows how a for() works by setting off
//the Start() proc then calls for() which shows how starting with the only /mob/O (upon creation)
//and then continueing to spread to all /mob/X. It also shows how for() calls each mob
//individualy, and not instantly at once.
turf
	Grass
		icon = 'XO.dmi'
		icon_state = "Grass"
		density = 1
	Water
		icon = 'XO.dmi'
		icon_state = "Water"
		density = 1
mob
	var/Numba = 0 //The Mob's Identity variable
	X
		icon = 'XO.dmi'
		icon_state = "X"
		density = 1
	O
		icon = 'XO.dmi'
		icon_state = "O"
		density = 1
		New() //When O is created upon start of game
			..() //Call default start
			src.loc=locate(6,6,1) //Locate it at location(6,6,1)
			src.Numba = rand(1,100000) //Give them a random number
			src.Start() //Call the Start() proc
	proc
		Start()
			for(var/mob/X in view(1,usr)) //For all mobs called X in usr's view (in range of 1)
				if(X.Numba != usr.Numba) //If their X's identity variable dosent equal usr's identity variable
					sleep(2) //So there is a delay of .2 seconds between each change
					X.Numba = usr.Numba //Set their identity variables equal
					X.icon_state = "O" //Changes the icon_state to "O" (Though their type is still /mob/X, just the icon is changed)
					X.name = "O" //Changes the icon but not the type (see above)
					usr = X //to reset the default usr value to be that mob, X
					X.Start() //Call the Start() proc
client
	perspective = EDGE_PERSPECTIVE
world
	turf=/turf/Grass
	mob=/mob/O
	name = "X's and O's by Chibi-Gohan0"